require "gui"

local commonapi2_init = require "commonapi2.init"
--print("commonapi_gamescript", commonapi)
local firstHandleEventHandled = false
local firstHandleGuiEventHandled = false


local errorWindow

local function showCommonErrorMessage(msg)
	local tv = gui.textView_create("commonErrorMessage.textView", msg, 400)
	errorWindow = gui.window_create("commonErrorMessage.window", _("Tip"), tv)
	errorWindow:setIcon("ui/icons/windows/tip.tga")
	errorWindow:onClose(function()
		errorWindow = nil
	end)
end

function data()
--	print("commonapi_gamescript:data", commonapi)
	local initialized = false

	local data = {
		save = function ()
			--
		end,
		load = function (state)
			if initialized then return end
			if state == nil or next(state) == nil then return end

			if (commonapi._native ~= nil and commonapi._native.renameLuaState ~= nil) then
				commonapi._native.renameLuaState("Script Thread")
			end
			initialized = true
		end,
		update = function ()

		end,
		handleEvent = function (src, id, name, param)
			if firstHandleEventHandled then return end
			--print("commonapi_gamescript:handleEvent", id, name)
			--commonapi._unique_threadid_check()
			if (commonapi._native ~= nil and commonapi._native.renameLuaState ~= nil) then
				commonapi._native.renameLuaState("Script Thread")
			end
			firstHandleEventHandled = true
		end,
		guiHandleEvent = function (id, name, param)
--			if (id == "__commonErrorMsg__") then
--				print("showErrorMessage in guiHandleEvent")
--				if (name == "showErrorMsg") then
--					showCommonErrorMessage(param.msg or "?")
--				end
--				return
--			end

			if firstHandleGuiEventHandled then return end
			--print("commonapi_gamescript:guiHandleEvent", id, name)
			--commonapi._unique_threadid_check()
			if (commonapi._native ~= nil and commonapi._native.renameLuaState ~= nil) then
				commonapi._native.renameLuaState("GUI Thread")
			end
			firstHandleGuiEventHandled = true
		end,
	}
return data
end