require "gui"
local console = {}



local function runConsoleWindow()
	local luafn, err, ok
	local filename = commonapi._info.path.."/doit.lua"
	luafn, err = loadfile(filename, "bt")
	if (luafn == nil) then
		if (errIfMissing) then
			print(filename..": file not found")
		end
	end

	ok, err = pcall(luafn)
	if (ok == false) then
		print(err)
	end
end

local consoleWin = {}
local consoleWinMeta = {
	__index = {
		open = function(self)
			if self.window ~= nil then
				return
			end
			self:_create()
		end,
		close = function(self)
			if self.window == nil then
				return
			end
			self.window:close()
		end,
		_destroy = function(self)
			self.window = nil
			self.textView = nil
			self.imageView = nil
			self.boxLayout = nil
		end,
		_create = function(self)
			local s = "commonapi.console."
			--self.imageView = gui.imageView_create("contexthelper.imageView", getImage())
			self.textView = gui.textView_create(s .. "textView", "debug", 1000)
			self.doButton_Text = gui.textView_create(s .. "doButton_Text" , "DoIt!")
			self.doButton = gui.button_create(s .. "doButton", self.doButton_Text)
			self.doButton:onClick(function()
				runConsoleWindow()
--[[
				commonapi.dmp(_G)
				print("Current commonapitest", commonapitest.num)
				commonapitest.num = commonapitest.num + 100
				print("New commonapitest", commonapitest.num)
--]]
			end)

			self.boxLayout = gui.boxLayout_create(s .. "boxLayout", "AUTO")

			--self.boxLayout:addItem(self.imageView)
			self.boxLayout:addItem(self.textView)

			

			self.boxLayout:addItem(self.doButton)

			self.something = gui.component_create("sampleX", "ScrollArea")

			self.boxLayout:addItem(self.something)


			self.window = gui.window_create(s .. "window", "CommonAPI console", self.boxLayout)
			self.window:onClose(function ()
				self:_destroy()
			end)
		end
	}
}
setmetatable(consoleWin, consoleWinMeta)







console.open = function()
	consoleWin:open()
end

console.close = function()
	consoleWin:close()
end

return console